<template>
  <div class="sheet">
    <!-- <div class="title">钣金参数配置</div> -->
    <el-form
      ref="ruleFormRef"
      :model="ruleForm"
      :rules="rules"
      :label-width="locale === 'zh' ? '120px' : '160px'"
      class="demo-ruleForm"
    >
      <el-form-item
        :label="$t('basic.query.reservedDays')"
        prop="days"
        class="form_class"
      >
        <div class="custom-input-number">
          <el-input-number
            v-model="ruleForm.days"
            min="0"
            controls-position="right"
            @change="handleChange"
          />
          <span class="unit">{{ $t("basic.query.days") }}</span>
        </div>
      </el-form-item>
      <el-form-item class="form_class">
        <el-button
          type="primary"
          @click="submitForm"
          v-hasPermi="['system:dict:edit']"
          >{{ $t("common.common.save") }}</el-button
        >
      </el-form-item>
    </el-form>
  </div>
</template>
<script setup name="SheetMetalParamConfig">
import {
  queryConfigParams,
  queryConfigParamsSave,
} from "@/api/basicData/sheetMetalConfig/sheetMetalConfig";
// import { ElMessage } from "element-plus";
import { useI18n } from "vue-i18n"; //要在js中使用国际化
const { t, locale } = useI18n();
const { proxy } = getCurrentInstance();
// const { plate_plan_param } = proxy.useDict('plate_plan_param');
const ruleForm = ref({
  days: null,
});
const configParams = ref({});
let rules = reactive({
  days: [],
});
watch(
  locale,
  (newLocale) => {
    rules = {
      days: [
        {
          required: true,
          message: `${t("common.common.placeholder")}${t(
            "basic.query.reservedDays"
          )}`,
          trigger: "blur",
        },
        {
          type: "number",
          message: `${t("basic.query.significantDigit")}`,
          trigger: ["blur", "change"],
        },
      ],
    };
  },
  { immediate: true, deep: true }
);
onMounted(async () => {
  let config = await queryConfigParams("plate_plan_param");
  console.log(config.data, "configwudhuhfuw");
  ruleForm.value.days = parseInt(config.data[0].dictValue);
  configParams.value = config.data[0];
  // console.log(plate_plan_param.value[0].value,'plate_plan_paramplate_plan_param')
});
// const submitForm = async (formEl) => {
//   if (!formEl) return;
//   await formEl.validate((valid, fields) => {
//     if (valid) {
//       console.log("submit!");
//     } else {
//       console.log("error submit!", fields);
//     }
//   });
// };
/** 提交按钮 */
function submitForm() {
  proxy.$refs["ruleFormRef"].validate(async (valid) => {
    if (valid) {
      console.log(valid, "valid");
      const res = await queryConfigParamsSave({
        ...configParams.value,
        dictValue: ruleForm.value.days * 1,
      });
      if (res.code == 200) {
        ElMessage({
          message: t("plan.message.update"),
          type: "success",
        });
      }
    }
  });
}
const resetForm = (formEl) => {
  if (!formEl) return;
  formEl.resetFields();
};
const handleChange = (value) => {
  console.log(value);
};
</script>
<style lang="scss" scoped>
.sheet {
  //   padding: 20px;
  .title {
    font-size: 16px;
    color: #333;
    padding-bottom: 10px;
    border-bottom: 1px solid #999;
  }
  .form_class {
    margin-top: 20px;
  }
}
.custom-input-number {
  position: relative;
  display: inline-block;
}
.unit {
  position: absolute;
  top: 50%;
  right: 40px; /* 根据需要调整位置 */
  transform: translateY(-50%);
  pointer-events: none; /* 防止单位标签影响输入框的点击事件 */
  color: #999;
}
</style>
